#ifndef __CONF_H
#define __CONF_H

#include <stdio.h>

typedef struct {
	FILE *fp;
} conf_struct;

conf_struct *conf_open(const char *fname);
int conf_get_string(conf_struct *cs, const char *parm, char *dest);
int conf_get_float(conf_struct *cs, const char *parm, float *dest);
int conf_get_int(conf_struct *cs, const char *parm, int *dest);
void conf_close(conf_struct *cs);

#endif

