#include <string.h>
#include "setiview.h"

extern WINDOW *datainfo;

static char data_string[4][128] = {"", "", "", ""};

static void draw_datainfo(int line, const char *string)
{
	wmove(datainfo, line, 0);
	wclrtoeol(datainfo);
	waddstring(datainfo, string, A_NORMAL);
}

void data_info_redraw(void)
{
	const char *datainfo_title = "Data Info";
	wmove(datainfo, 0, (COLS/2 - strlen(datainfo_title))/2);
	waddstring(datainfo, datainfo_title, A_BOLD);

	draw_datainfo(1, data_string[0]);
	draw_datainfo(2, data_string[1]);
	draw_datainfo(3, data_string[2]);
	draw_datainfo(4, data_string[3]);

	wnoutrefresh(datainfo);
}

void data_info_put(int line, const char *info)
{
	strncpy(data_string[line], info, 128);
	draw_datainfo(line+1, info);
	setiview_refresh(datainfo);
}

